unit UMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, Menus, ExtCtrls, DB, DBTables, StdCtrls;

type
  TFrmMain = class(TForm)
    Panel1: TPanel;
    MainMenu1: TMainMenu;
    BarFile: TMenuItem;
    BarHReport: TMenuItem;
    BarHelp: TMenuItem;
    BarManageData: TMenuItem;
    N4: TMenuItem;
    BarExit: TMenuItem;
    BarAbout: TMenuItem;
    BarReport: TMenuItem;
    BarQuery: TMenuItem;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton6: TSpeedButton;
    procedure BarManageDataClick(Sender: TObject);
    procedure BarReportClick(Sender: TObject);
    procedure BarQueryClick(Sender: TObject);
    procedure BarAboutClick(Sender: TObject);
    procedure BarExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

uses UManageData, UReport, UQuery, UAbout;

{$R *.DFM}

procedure TFrmMain.BarManageDataClick(Sender: TObject);
begin
     FrmManageData.Showmodal
end;

procedure TFrmMain.BarReportClick(Sender: TObject);
begin
     FrmReport.QrPerson.Preview;
end;

procedure TFrmMain.BarQueryClick(Sender: TObject);
begin
     FrmQuery.Showmodal
end;

procedure TFrmMain.BarAboutClick(Sender: TObject);
begin
     FrmAbout.Showmodal
end;

procedure TFrmMain.BarExitClick(Sender: TObject);
begin
     If MessageDlg('׹ѹԡӧҹ ??',mtConfirmation,
                    [mbYes,mbNo],0) = mrYes Then
        Close
end;

end.
