unit UMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBTables, DB, Mask, DBCtrls, StdCtrls, Grids, DBGrids, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    Table1: TTable;
    Edit1: TEdit;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Table1OrderNo: TFloatField;
    Table1CustNo: TFloatField;
    Table1SaleDate: TDateTimeField;
    Table1ShipDate: TDateTimeField;
    Table1EmpNo: TIntegerField;
    Table1ShipToContact: TStringField;
    Table1ShipToAddr1: TStringField;
    Table1ShipToAddr2: TStringField;
    Table1ShipToCity: TStringField;
    Table1ShipToState: TStringField;
    Table1ShipToZip: TStringField;
    Table1ShipToCountry: TStringField;
    Table1ShipToPhone: TStringField;
    Table1ShipVIA: TStringField;
    Table1PO: TStringField;
    Table1Terms: TStringField;
    Table1PaymentMethod: TStringField;
    Table1ItemsTotal: TCurrencyField;
    Table1TaxRate: TFloatField;
    Table1Freight: TCurrencyField;
    Table1AmountPaid: TCurrencyField;
    Edit2: TEdit;
    Bevel1: TBevel;
    DBNavigator1: TDBNavigator;
    procedure Table1SaleDateGetText(Sender: TField; var Text: string;
      DisplayText: Boolean);
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Table1SaleDateGetText(Sender: TField; var Text: string;
  DisplayText: Boolean);

Var StrDate,
    xDate,
    xYear   : String;
begin
     //***** Description ****************
     // Sender is TField = Sender is Self
     // Sender.Value = Sender.AsDateTime
     // Text is Display Text in DbEdit
     // I will Display to you,Function FormatDateTime(Format,Date-Value) Result : String
     // you Can Cotrol it When GetText(BDE Read Data in table to text in DbEdit)
     // *******Important******
     // Set in TableSaledate -> EditMask := 99/99/0000
     // When you Edit or insert data it Auto Convert data

     StrDate := '';//Initialize Data
     Case  StrToInt(FormatDateTime('MM',Sender.AsDateTime)) Of
      1   : StrDate := 'Ҥ';
      2   : StrDate := 'Ҿѹ';
      3   : StrDate := 'չҤ';
      4   : StrDate := '¹';
      5   : StrDate := 'Ҥ';
      6   : StrDate := 'Զع¹';
      7   : StrDate := 'áҤ';
      8   : StrDate := 'ԧҤ';
      9   : StrDate := 'ѹ¹';
      10  : StrDate := 'Ҥ';
      11  : StrDate := 'Ȩԡ¹';
      12  : StrDate := 'ѹҤ';
      end;
     xDate := FormatDateTime('D',Sender.AsDateTime);
     xYear := FormatDateTime('YYYY',Sender.AsDateTime);
     Text  := xDate+' '+StrDate+' '+xYear;
end;

procedure TForm1.DataSource1DataChange(Sender: TObject; Field: TField);
begin
     // Method Reference to Field In Table
     //  On Field-Name  'SaleDate'  You Can write
     // 1. Table1.FieldByName('SaleDate').AsDateTime
     // 2. Table1['SaleDate']
     // 3. Table1SaleDate.AsDateTime   <== You Must Assign in Field Editor

     Edit1.text := FloattoStr((Date -Table1.FieldByName('SaleDate').AsDateTime));
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
     Edit2.text := formatDateTime('d/m/yyyy',Date);
     Caption := (Datetimetostr(table1['Saledate']));
     Showmessage('My Home-Page '+#13#10+
                              'http://geocities.com/siliconvalley/lab/4959/4959/html'+#13#10+
                              'Warapetch@Hotmail.com') ;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     Table1.Filter := '';       // 1. Initailize Filter you can select Once 1 or 2
     Table1.Filtered := False ; // 2.

     Table1.Filter := 'SaleDate >= '+(#39)+DatetoStr(Date+60)+(#39);
     Table1.Filtered := true;
end;

end.

