unit UQuery;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, DB, DBTables, Buttons, StdCtrls;

type
  TFrmQuery = class(TForm)
    DBGrid1: TDBGrid;
    Query1: TQuery;
    DataSource1: TDataSource;
    edRunno: TEdit;
    SpeedButton1: TSpeedButton;
    edName: TEdit;
    edAdd: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BitBtn1: TBitBtn;
    procedure SpeedButton1Click(Sender: TObject);
  private
    function CheckData(Value : String) : String;
  public
    { Public declarations }
  end;

var
  FrmQuery: TFrmQuery;

implementation

uses UDataModule;

{$R *.DFM}

procedure TFrmQuery.SpeedButton1Click(Sender: TObject);
var  SQLStringMain1,
     SQLStringMain2,
     SQLStringMain3,
     SQLStringMain4,
     SQLString : String;
begin
     SQLString := '';
     If edRunno.text <> '' Then
        SQLString := 'Id_Person '+CheckData(edRunno.text);

     If edName.text <> '' Then
        If SQLString <> '' Then
           SQLString := SQLString+' And '+' Name '+CheckData(edName.text)
        else
           SQLString := ' Name '+CheckData(edName.text);

        If (SQLString <> '') Then
            SQLString := SQLString+' And ';
     SQLString := SQLString+' Person."Add" '+CheckData(edAdd.text);

    SQLStringMain1 := ' Select * ';
    SQLStringMain2 := ' From Person ,HWork';
    SQLStringMain3 := ' Where Person.Id_Person = HWork.Id_Person ';

     If (edAdd.text <> '') or (edRunno.text <> '') or (edName.text <> '') Then
         SQLStringMain4 := SQLStringMain4+' And '+SQLString;

     Query1.SQL.Clear;
     Query1.SQL.Add(SQLStringMain1);
     Query1.SQL.Add(SQLStringMain2);
     Query1.SQL.Add(SQLStringMain3);
     Query1.SQL.Add(SQLStringMain4);
     Query1.Open;

end;

function TFrmQuery.CheckData(Value : String) : String;
var TempStr : String;
begin
     If (Trim(value) = '*') Or  (Trim(value) = '')  Then
        Result := '<> ""'
     else
        If Copy(Value,1,1) = '%' Then
           Result := ' Like '+(#39)+Value+'%'+(#39)
        else
           Result := '= '+(#39)+Value+(#39);
end;

end.
