unit UReport;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Quickrep, StdCtrls, ExtCtrls, Grids, DBGrids;

type
  TFrmReport = class(TForm)
    QRPerson: TQuickReport;
    BandTitle: TQRBand;
    BandHeader: TQRBand;
    BandDetail: TQRBand;
    QRDBText1: TQRDBText;
    QRDBText2: TQRDBText;
    QRDBText3: TQRDBText;
    BandSubDetail: TQRBand;
    QRDBText4: TQRDBText;
    QRDBText5: TQRDBText;
    QRDBText6: TQRDBText;
    QRLabel1: TQRLabel;
    BandColumn: TQRBand;
    QRLabel2: TQRLabel;
    QRLabel3: TQRLabel;
    QRLabel4: TQRLabel;
    QRLabel5: TQRLabel;
    QRDBText7: TQRDBText;
    QRLabel6: TQRLabel;
    QRDBText8: TQRDBText;
    BandFooter: TQRBand;
    QRLabel7: TQRLabel;
    QRLabel8: TQRLabel;
    QRDBCalc2: TQRDBCalc;
    QRLabel9: TQRLabel;
    QRLabel10: TQRLabel;
    QRDetailLink1: TQRDetailLink;
    QRDBCalc1: TQRDBCalc;
    QRSysData1: TQRSysData;
    QRBand1: TQRBand;
    QRSysData2: TQRSysData;
    procedure BandFooterBeforePrint(var PrintBand: Boolean);
    procedure BandSubDetailBeforePrint(var PrintBand: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmReport: TFrmReport;

implementation

uses UDataModule;

{$R *.DFM}

procedure TFrmReport.BandFooterBeforePrint(var PrintBand: Boolean);
begin
     If FrmDataModule.Table2.RecordCount <1 Then PrintBand := False
end;

procedure TFrmReport.BandSubDetailBeforePrint(var PrintBand: Boolean);
begin
     If FrmDataModule.Table2.RecordCount <1 Then PrintBand := False
end;

end.
