unit UQuery;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, DB, DBTables, Buttons, StdCtrls;

type
  TFrmQuery = class(TForm)
    DBGrid1: TDBGrid;
    QryData: TQuery;
    DSQryData: TDataSource;
    edId_Person: TEdit;
    SpManageData: TSpeedButton;
    edName: TEdit;
    edAddr: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BtnClose: TBitBtn;
    procedure SpManageDataClick(Sender: TObject);
  private
    function CheckData(Value : String) : String;
  public
    { Public declarations }
  end;

var
  FrmQuery: TFrmQuery;

implementation

uses UDataModule;

{$R *.DFM}

procedure TFrmQuery.SpManageDataClick(Sender: TObject);
var  SQLStringMain1,
     SQLStringMain2,
     SQLStringMain3,
     SQLStringMain4,
     SQLString : String;
begin
     SQLString := '';
     If edId_Person.text <> '' Then
        SQLString := 'Id_Person '+CheckData(edId_Person.text);

     If edName.text <> '' Then
        If SQLString <> '' Then
           SQLString := SQLString+' And '+' Name '+CheckData(edName.text)
        else
           SQLString := ' Name '+CheckData(edName.text);

        If (SQLString <> '') Then
            SQLString := SQLString+' And ';
     SQLString := SQLString+' Person.Addr '+CheckData(edAddr.text);

    SQLStringMain1 := ' Select * ';
    SQLStringMain2 := ' From Person ,HWork';
    SQLStringMain3 := ' Where Person.Id_Person = HWork.Id_Person ';

     If (edAddr.text <> '') or (edId_Person.text <> '') or (edName.text <> '') Then
         SQLStringMain4 := SQLStringMain4+' And '+SQLString;

     QryData.SQL.Clear;
     QryData.SQL.Add(SQLStringMain1);
     QryData.SQL.Add(SQLStringMain2);
     QryData.SQL.Add(SQLStringMain3);
     QryData.SQL.Add(SQLStringMain4);
     QryData.Open;

end;

function TFrmQuery.CheckData(Value : String) : String;
var TempStr : String;
begin
     If (Trim(value) = '*') Or  (Trim(value) = '')  Then
        Result := '<> ""'
     else
        If Copy(Value,1,1) = '%' Then
           Result := ' Like '+(#39)+Value+'%'+(#39)
        else
           Result := '= '+(#39)+Value+(#39);
end;

end.
